
TYPO3.Flow - Bug # 6089

Status: Resolved Priority: Must have
Author: Jochen Rau Category: Validation
Created: 2010-01-19 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: EmailAddressValidator does not recognize multiple @
Description

EmailAddressValidator fails for addresses like 'andreas@foerthner@example.com'. This issue is already resolved in Extbase. Related
to #5843.

Associated revisions
Revision c5024e82 - 2010-01-20 11:56 - Karsten Dambekalns

[~TASK] FLOW3 (Validation): The EmailAddressValidator now rejects addresses with more than one @ sign as well as non-word characters at the
end. Fixes #6089.

History
#1 - 2010-01-19 00:21 - Jochen Rau
- File bug_6089.diff added

#2 - 2010-01-20 11:06 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Target version set to 1.0 alpha 8

#3 - 2010-01-20 12:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r3731.

Files
bug_6089.diff 1.4 kB 2010-01-19 Jochen Rau
